org.keycloak.services.clientpolicy.executor

## Class PKCEEnforceExecutor

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutor
  - - org.keycloak.services.clientpolicy.executor.PKCEEnforceExecutor

- All Implemented Interfaces:
    Provider, ClientPolicyExecutorProvider

      public class PKCEEnforceExecutor
      extends AbstractAugumentingClientRegistrationPolicyExecutor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutor

      `componentModel, IS_AUGMENT, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCEEnforceExecutor(KeycloakSession session, ComponentModel componentModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `augment(ClientRepresentation rep)` overrides the client settings specified by the argument.
    `void` | `executeOnEvent(ClientPolicyContext context)` execute actions against the client on the event defined in `ClientPolicyEvent`.
    `protected void` | `validate(ClientRepresentation rep)` validate the client settings specified by the argument to check whether they follows what the executor expects.

    - ### Methods inherited from class org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutor

      `getName, getProviderId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.executor.ClientPolicyExecutorProvider

      `close`

- - ### Constructor Detail

    - #### PKCEEnforceExecutor

          public PKCEEnforceExecutor(KeycloakSession session,
                                     ComponentModel componentModel)

  - ### Method Detail

    - #### augment

          protected void augment(ClientRepresentation rep)

      Description copied from class: `AbstractAugumentingClientRegistrationPolicyExecutor`
      overrides the client settings specified by the argument.
      Specified by:
        `augment` in class `AbstractAugumentingClientRegistrationPolicyExecutor`
      Parameters:
        `rep` - - the client settings

    - #### validate

          protected void validate(ClientRepresentation rep)
                           throws ClientPolicyException

      Description copied from class: `AbstractAugumentingClientRegistrationPolicyExecutor`
      validate the client settings specified by the argument to check whether they follows what the executor expects.
      Specified by:
        `validate` in class `AbstractAugumentingClientRegistrationPolicyExecutor`
      Parameters:
        `rep` - - the client settings
      Throws:
        `ClientPolicyException`

    - #### executeOnEvent

          public void executeOnEvent(ClientPolicyContext context)
                              throws ClientPolicyException

      Description copied from interface: `ClientPolicyExecutorProvider`
      execute actions against the client on the event defined in `ClientPolicyEvent`.
      Specified by:
        `executeOnEvent` in interface `ClientPolicyExecutorProvider`
      Overrides:
        `executeOnEvent` in class `AbstractAugumentingClientRegistrationPolicyExecutor`
      Parameters:
        `context` - - the context of the event.
      Throws:
        `ClientPolicyException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.